Subject: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Sep 2016 10:28:01 +0300

> From: Clément Pit--Claudel <[email-masked]>
> Date: Fri, 23 Sep 2016 16:07:51 -0400
> 
> >> > 1) Emacs can try to avoid using Courier New as the default font.
> >
> > Not an option.  Other fonts have much less coverage, and most of them
> > are much uglier.  You may wish looking at them before you suggest
> > this.
> 
> Hi Eli,
> 
> I have not used MS Windows much in a while, but one thing I missed after I switched to GNU/Linux was Microsoft's excellent Consolas font. It was first included with Windows XP, if I remember correctly.  Do you think Emacs could try this one instead of Courier New by default?  I think both Visual Studio and Atom use it by default on Windows.
> 
> Here's how the two fonts compare in terms of coverage; I hope it's helpful!

I hope, based on the coverage you presented, it should be clear that
Consolas is worse than Courier New.  Non-support of Arabic script is a
non-starter these days.  On my system, Consolas supports 16 Unicode
blocks and 598 characters, while Courier New supports 29 blocks and
1258 characters, almost twice as many.  Lucida Console suggested by
Drew supports 22 blocks and 663 characters, which is also too few.
(On Windows 8.1, the respective numbers are 38/2220, 41/3025, and
21/644 -- as you see, the numbers for Consolas are significantly
larger, but the growth is mainly due to symbols and Latin extensions,
it is still pretty much a Europe-centric font).

In terms of coverage, the best fonts available on Windows are Arial MS
Unicode, Cambria, and Times New Roman, but they are proportional
fonts, whereas we need a monospaced font.  (Cambria is also
unavailable before Vista.)

Symbola is my favorite as far as coverage goes (71 blocks and 7873
characters), but it is not installed by default on Windows systems.

So I don't think we have a candidate font on Windows that is better
than the current default.